/* Yvonne 1.0
 * by Rafal BOBER Ciepiela
 * contact: bob_er@users.sourceforge.net
 * 2006
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __YVONNE_GR9__
#define __YVONNE_GR9__

#include "image.h"

////////////////////////////////////////////////////////

class CGr9 : public CImage
{
public:
	CGr9(CColorProvider* _pColors);
	~CGr9(void);

	bool open(char* _szPath);
	unsigned int getPixel(unsigned int _nX, unsigned int _nY);
	const char* getFileName(void);
	const char* getFileSize(void);
	const char* getFileProperties(void);

private:
	unsigned char* m_cPicture;

};

////////////////////////////////////////////////////////

#endif /* __YVONNE_GR9__ */
