/* Yvonne 1.0
 * by Rafal BOBER Ciepiela
 * contact: bob_er@users.sourceforge.net
 * 2006
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "image.h"

////////////////////////////////////////////////////////

CImage::CImage(CColorProvider* _pColors)
{
	if(_pColors==NULL)
		throw CImageException(CImageException::IE_BAD_PARAMS);
	m_pColorProvider=_pColors;
	m_nWidth=0;
	m_nHeight=0;
	return;
}

////////////////////////////////////////////////////////

CImage::~CImage(void)
{
	return;
}

////////////////////////////////////////////////////////

bool CImage::open(char* _szPath)
{
	throw CImageException(CImageException::IE_CANNOT_OPEN_FILE);
	return false;
}

////////////////////////////////////////////////////////

int CImage::getWidth(void)
{
	return m_nWidth;
}

////////////////////////////////////////////////////////

int CImage::getHeight(void)
{
	return m_nHeight;
}

////////////////////////////////////////////////////////

unsigned int CImage::getPixel(unsigned int _nX, unsigned int _nY)
{
	return 0;
}

////////////////////////////////////////////////////////

const char* CImage::getFileName(void)
{
	return "No file loaded.";
}

////////////////////////////////////////////////////////

const char* CImage::getFileSize(void)
{
	return "No file loaded.";
}

////////////////////////////////////////////////////////

const char* CImage::getFileProperties(void)
{
	return "No file loaded";
}

////////////////////////////////////////////////////////
